Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 11 Dec 2017, 19:02
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
StretchDog
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 6 [88 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
don570


Joined: 10 Mar 2010
Posts: 4803
Location: Ontario

PostPosted: Thu 26 Oct 2017, 19:26    Post subject:  

Quote:
Not sure, but I think you mean


I was referring to the fact that the kernel line shouldn't mention the hard drive
partion which is (hd0,0) in my example. It booted up though.
Back to top
View user's profile Send private message 
hamoudoudou


Joined: 24 Jul 2014
Posts: 223
Location: rabat

PostPosted: Sat 28 Oct 2017, 04:06    Post subject: Abiword 3.0.2 Test Synaptic.
Subject description: Pls what does message mean ?
 

root@stretch:~# abiword

** (abiword:14485): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
libEGL warning: DRI2: failed to authenticate
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/i386-linux-gnu/dri:${ORIGIN}/dri:/usr/lib/dri)
gbm: failed to open any driver (search paths /usr/lib/i386-linux-gnu/dri:${ORIGIN}/dri:/usr/lib/dri)
gbm: Last dlopen error: /usr/lib/dri/i965_dri.so: cannot open shared object file: No such file or directory
failed to load driver: i965
gbm: failed to open any driver (search paths /usr/lib/i386-linux-gnu/dri:${ORIGIN}/dri:/usr/lib/dri)
gbm: Last dlopen error: /usr/lib/dri/kms_swrast_dri.so: cannot open shared object file: No such file or directory
failed to load driver: kms_swrast
gbm: failed to open any driver (search paths /usr/lib/i386-linux-gnu/dri:${ORIGIN}/dri:/usr/lib/dri)
gbm: Last dlopen error: /usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory
failed to load swrast driver

(abiword:14485): GLib-ERROR **: /build/glib2.0-YYXhFA/glib2.0-2.50.3/./glib/gmem.c:100: failed to allocate 4269314724 bytes
Trace/breakpoint trap
root@stretch:~#
It was just a try. Older versions will fit my needs.
User : Root Password Puppy ... seen in boot scripts. Not needed. Could do however some confusion with Puppy Linux OS.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2627
Location: holland

PostPosted: Sat 28 Oct 2017, 12:33    Post subject:  

Yes, didn't try installing abiword earlier, disappointing... apparently it requires libgl1-mesa-dri installed, total disk space used if installed the following: 277MB Rolling Eyes
Code:
apt-get install abiword libgl1-mesa-dri


Then abiword runs for me, BUT it flickers, is it a bug ? (or my graphics card?), doing google search for "debian abiword flicker" gives lots of results, most workarounds described changing theme, tried a lot, but nothing works for me.
Finally experimented with installing libabiword-3.0_3.0.2-4 taken from Ubuntu and that solved the flickering for me.
Install for 32 or 64 bit from here (after installing abiword as above and have the flickering problem):
https://fredx181.github.io/StretchDog/NoRepo/

Also I searched for a (smaller) alternative, and found Shinobar's abiword-portable-3.0.0.tar.gz from here:
http://shinobar.server-on.net/puppy/opt/pup5/

But it needs some more dependencies to work on stretch, to satisfy them automatically, I made it into a .deb package: abiword-portable (32 bit only)
https://fredx181.github.io/StretchDog/i386/Packages/Extra/abiword-portable_3.0.0_i386.deb
Install above .deb, or from Synaptic "abiword-portable" or from terminal:
Code:
apt-get update
apt-get install abiword-portable


This will take only around 17MB of space used, can anyone test ? (works OK for me though)

EDIT: This .squashfs module containing abiword (v2.8.), gnumeric and inklite works also on Stretchdog 32-bit:
https://github.com/fredx181/StretchDog/releases/download/v2.1/goffice-lupu-528JP-1-i386.squashfs

Fred

_________________
Dog Linux website

Last edited by fredx181 on Sat 28 Oct 2017, 16:51; edited 5 times in total
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 4803
Location: Ontario

PostPosted: Sat 28 Oct 2017, 13:01    Post subject:  

I forgot to mention to fredx181 ...

For better compatibility to BarryK --->

For the last couple of years Barry has been making
/root/.config/rox.sourceforge.net/SendTo
a link to
/root/.config/rox.sourceforge.net/OpenWith


This solves a lot of problems with making right click menu items.

______________________________________
Back to top
View user's profile Send private message 
hamoudoudou


Joined: 24 Jul 2014
Posts: 223
Location: rabat

PostPosted: Sat 28 Oct 2017, 15:17    Post subject: My SFS is 7MB including Abiword and Gnumeric  

About Abiword it was more a test for synaptic downloadind newest applications. Abiword 3.0.2 is difficult to obtain, but DebianDog quite got success..
I like Abiword, in spite of bad comments. 2.8.6 is enough for my usage at home. And SFS can be easily loaded on Dogs.

277 MBs, that is crazy ! My SFS is 7MB including Abiword and Gnumeric (compressed sure)
Versions 2.9 and 3.0.0 are with bugs, whatever could say people of the forum. Abisource solved a lot of these bugs with 3.0.2.. it's Abisource themselves that list the bugs, They miss feedback from users.
Back to top
View user's profile Send private message 
westwest

Joined: 10 Apr 2015
Posts: 20

PostPosted: Sun 29 Oct 2017, 19:01    Post subject: Keyboard Layout  

I've installed the xfce keyboard panel plugin,
but it will not let me choose an alternate keyboard layout.

This worked fine in dd-jessie...
Any way to make it work?
Back to top
View user's profile Send private message 
trister

Joined: 01 Mar 2015
Posts: 85

PostPosted: Mon 30 Oct 2017, 15:45    Post subject: Browsers in StretchDog64-2017-07-04.iso squashfs/sfs  

just updated some of my browsers and posted them here:

http://murga-linux.com/puppy/viewtopic.php?p=972727#972727

I've tested them all with the older StretchDog64-2017-07-04 and they work. I hope they don't need any dependencies I miss.

edit: tried them in my "vanilla" installation and only one lib was needed for the chromium based browsers. added that link too in the above url.
Back to top
View user's profile Send private message 
hamoudoudou


Joined: 24 Jul 2014
Posts: 223
Location: rabat

PostPosted: Fri 03 Nov 2017, 00:40    Post subject: Strectch LTK
Subject description: Feed back Abiword
 

Stretch i486 deeping tried yesterday. That is this Stretch that i will keep a long time (LTK) because desktop is really Different. And no bugs for what i use. Just Firefox 24.8.1 cannot be updated classical way.
This flavour perhaps does not bring someting new for you, but for me the desktop renew my computing practice
The topic about it has been closed..
Abiword being tried with it this morning. But Abiword last version will not be a No Go item. I can type ith older versions, i am not a Professionnal typist, what i need are some personnel memo s nicely formatted. But that was possible years ago with previous versions. Just avoid versions that destroy your work as 2.9 (sure) and 3.0.0 too
Deepin.jpg
 Description   Dog and Puppy, same kennel
 Filesize   41.93 KB
 Viewed   225 Time(s)

Deepin.jpg


Last edited by hamoudoudou on Sat 18 Nov 2017, 09:19; edited 2 times in total
Back to top
View user's profile Send private message 
hamoudoudou


Joined: 24 Jul 2014
Posts: 223
Location: rabat

PostPosted: Fri 03 Nov 2017, 01:00    Post subject: ABiword 3.0.2 installed immediately, nothing to Linux  

ABiword 3.0.2 installed immediately, nothing to Linux. Not used now because i explore this Puppy Dog Deepin
"GtkDialog mapped without a transient parent. This is discouraged." Of course, it's an evidence.. These explanations do not mean anything, even with my Harraps Bible.
A Transient parent....
Document technical instruction for maintenance is from Windows 95, ISO 9001 (international standard) and IATA (International airlines association) , formatted to be entered in arlines documentation system everywhere in the world.
With Abiword ? Yes , with Abiword., from Abiword
compactors.jpg
 Description   Titles, schemas, summary, all what a professional typist should know.
 Filesize   54.21 KB
 Viewed   622 Time(s)

compactors.jpg

Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2627
Location: holland

PostPosted: Fri 03 Nov 2017, 15:13    Post subject:  

Looks like you are using old Deepin-Stretch version, better use updated version:
ISO 32-bit: https://github.com/DebianDog/Stretch/releases/download/v1.0/DebianDog-Stretch-Deepin-2017-10-14.iso Size: 382 MB
Md5sum: https://github.com/DebianDog/Stretch/releases/download/v1.0/DebianDog-Stretch-Deepin-2017-10-14.md5

See also here:
http://murga-linux.com/puppy/viewtopic.php?p=970904#970904

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2627
Location: holland

PostPosted: Thu 16 Nov 2017, 16:55    Post subject:  

*** Some tips for making the system boot faster and/or running the system more "light" ***
See here:
http://murga-linux.com/puppy/viewtopic.php?p=974426#974426

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
westwest

Joined: 10 Apr 2015
Posts: 20

PostPosted: Fri 17 Nov 2017, 17:34    Post subject: Keyboard Layout  

I cannot manage to change the keyboard layout with the plugin for xfce.
Or any other way for that matter...
This worked fine in DD-jessie.

Any help appreciated, thanks!
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2627
Location: holland

PostPosted: Sat 18 Nov 2017, 07:33    Post subject: Re: Keyboard Layout  

westwest wrote:
I cannot manage to change the keyboard layout with the plugin for xfce.
Or any other way for that matter...
This worked fine in DD-jessie.

Any help appreciated, thanks!


Yes, that's right, the plugin doesn't work, don't know why, maybe it requres full xfce installed.
To change keyboard layout there's menu entry "Set keyboard layout", it should work, but only after reboot (at least for me)
So I modified script /usr/local/bin/keyboard-layout, to apply the change directly.
Extract attached "keyboard-layout.tar.gz" and replace keyboard-layout in /usr/local/bin
Then run from Menu > System > Set keyboard layout make the change and it should apply directly.

Fred
keyboard-layout.tar.gz
Description  keyboard-layout script, extract in /usr/local/bin
gz

 Download 
Filename  keyboard-layout.tar.gz 
Filesize  391 Bytes 
Downloaded  24 Time(s) 

_________________
Dog Linux website
Back to top
View user's profile Send private message 
westwest

Joined: 10 Apr 2015
Posts: 20

PostPosted: Sun 19 Nov 2017, 00:18    Post subject: Keyboard  

Thanks very much, it was the only hiccup in an otherwise fine thing.
Back to top
View user's profile Send private message 
trister

Joined: 01 Mar 2015
Posts: 85

PostPosted: Tue 21 Nov 2017, 13:44    Post subject:  

So far I;'ve managed to "migrate" all my stuff from the older stretchdog64 to the new StretchDog64 2017-10-10.

Some minor issues still exists.

eg
Full screen on gnomeplayer is not working . It fills screen but the actual movie size is small. In the previous Sd64 it was working ok
(edit)It seems that full screen works if I set from preferences>player>video output-->x11 (/edit)
Also, mpv player requires libgnutls-deb0.so.28

Again, amazing job fredx Smile
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 5 of 6 [88 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0732s ][ Queries: 14 (0.0086s) ][ GZIP on ]